org.wso2.carbon.logging.admin.stub.types.axis2

## Class UpdateAllAppenderData

- java.lang.Object
- - org.wso2.carbon.logging.admin.stub.types.axis2.UpdateAllAppenderData

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class UpdateAllAppenderData
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  UpdateAllAppenderData bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UpdateAllAppenderData.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `localAppenderName` field for AppenderName
    `protected boolean` | `localAppenderNameTracker`
    `protected String` | `localAppenderPattern` field for AppenderPattern
    `protected boolean` | `localAppenderPatternTracker`
    `protected String` | `localFacility` field for Facility
    `protected boolean` | `localFacilityTracker`
    `protected String` | `localLogFileName` field for LogFileName
    `protected boolean` | `localLogFileNameTracker`
    `protected boolean` | `localPersist` field for Persist
    `protected boolean` | `localPersistTracker`
    `protected String` | `localSysLogHost` field for SysLogHost
    `protected boolean` | `localSysLogHostTracker`
    `protected String` | `localThreshold` field for Threshold
    `protected boolean` | `localThresholdTracker`
    `static QName` | `MY_QNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateAllAppenderData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAppenderName()` Auto generated getter method
    `String` | `getAppenderPattern()` Auto generated getter method
    `String` | `getFacility()` Auto generated getter method
    `String` | `getLogFileName()` Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `boolean` | `getPersist()` Auto generated getter method
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `String` | `getSysLogHost()` Auto generated getter method
    `String` | `getThreshold()` Auto generated getter method
    `boolean` | `isAppenderNameSpecified()`
    `boolean` | `isAppenderPatternSpecified()`
    `boolean` | `isFacilitySpecified()`
    `boolean` | `isLogFileNameSpecified()`
    `boolean` | `isPersistSpecified()`
    `boolean` | `isSysLogHostSpecified()`
    `boolean` | `isThresholdSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setAppenderName(String param)` Auto generated setter method
    `void` | `setAppenderPattern(String param)` Auto generated setter method
    `void` | `setFacility(String param)` Auto generated setter method
    `void` | `setLogFileName(String param)` Auto generated setter method
    `void` | `setPersist(boolean param)` Auto generated setter method
    `void` | `setSysLogHost(String param)` Auto generated setter method
    `void` | `setThreshold(String param)` Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MY_QNAME

          public static final QName MY_QNAME

    - #### localAppenderName

          protected String localAppenderName

      field for AppenderName

    - #### localAppenderNameTracker

          protected boolean localAppenderNameTracker

    - #### localAppenderPattern

          protected String localAppenderPattern

      field for AppenderPattern

    - #### localAppenderPatternTracker

          protected boolean localAppenderPatternTracker

    - #### localThreshold

          protected String localThreshold

      field for Threshold

    - #### localThresholdTracker

          protected boolean localThresholdTracker

    - #### localLogFileName

          protected String localLogFileName

      field for LogFileName

    - #### localLogFileNameTracker

          protected boolean localLogFileNameTracker

    - #### localSysLogHost

          protected String localSysLogHost

      field for SysLogHost

    - #### localSysLogHostTracker

          protected boolean localSysLogHostTracker

    - #### localFacility

          protected String localFacility

      field for Facility

    - #### localFacilityTracker

          protected boolean localFacilityTracker

    - #### localPersist

          protected boolean localPersist

      field for Persist

    - #### localPersistTracker

          protected boolean localPersistTracker

  - ### Constructor Detail

    - #### UpdateAllAppenderData

          public UpdateAllAppenderData()

  - ### Method Detail

    - #### isAppenderNameSpecified

          public boolean isAppenderNameSpecified()

    - #### getAppenderName

          public String getAppenderName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setAppenderName

          public void setAppenderName(String param)

      Auto generated setter method
      Parameters:
        `param` - AppenderName

    - #### isAppenderPatternSpecified

          public boolean isAppenderPatternSpecified()

    - #### getAppenderPattern

          public String getAppenderPattern()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setAppenderPattern

          public void setAppenderPattern(String param)

      Auto generated setter method
      Parameters:
        `param` - AppenderPattern

    - #### isThresholdSpecified

          public boolean isThresholdSpecified()

    - #### getThreshold

          public String getThreshold()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setThreshold

          public void setThreshold(String param)

      Auto generated setter method
      Parameters:
        `param` - Threshold

    - #### isLogFileNameSpecified

          public boolean isLogFileNameSpecified()

    - #### getLogFileName

          public String getLogFileName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setLogFileName

          public void setLogFileName(String param)

      Auto generated setter method
      Parameters:
        `param` - LogFileName

    - #### isSysLogHostSpecified

          public boolean isSysLogHostSpecified()

    - #### getSysLogHost

          public String getSysLogHost()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setSysLogHost

          public void setSysLogHost(String param)

      Auto generated setter method
      Parameters:
        `param` - SysLogHost

    - #### isFacilitySpecified

          public boolean isFacilitySpecified()

    - #### getFacility

          public String getFacility()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setFacility

          public void setFacility(String param)

      Auto generated setter method
      Parameters:
        `param` - Facility

    - #### isPersistSpecified

          public boolean isPersistSpecified()

    - #### getPersist

          public boolean getPersist()

      Auto generated getter method
      Returns:
        boolean

    - #### setPersist

          public void setPersist(boolean param)

      Auto generated setter method
      Parameters:
        `param` - Persist

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2019 WSO2. All rights reserved.